MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000828VCMIMechanics - Objectspublic2011-10-16 19:222022-04-11 17:49
Reporteryupsi 
Assigned ToWarmonger 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.86 
Target VersionFixed in Version0.94 
Summary0000828: Seer's Huts/Quest Guards - various problems
Description1) If quest is to kill a certain hero with custom portrait and custom name, default message uses custom name, then follows a custom portrait, subtitled with hero name which the custom portrait actually belongs to (quest "kill Caitlinn", Caitlinn has Cuthbert's portrait - portrait is subtitled "Cuthbert").
2) If quest is to be a certain hero with custom portrait and custom name, hero's default portrait is used instead of custom, while hero's custom name is correctly used in message and as a portrait's subtitle.

HoMM3/WoG don't have problems 1 and 2 as it doesn't display heroes' portraits in quest messages.

3) Quest "to kill a creature" displays normal stack information about target such as "6 Angels" while HoMM3 displays just "Angels".

UPDATE:

Found more issues, they're not on the map I uploaded. I'll just keep track of them here for a while :P
4) Unvisited Seer's Hut hover text is not "Seer's Hut" (will fix soon).
5) Empty Quest Guard has a "time expired" message - it shouldn't.
6) Deadline check should have < , not <= (same seer's hut expires on second day in WoG, but on first day in VCMI) (will fix soon).
7) When a hero revisits seer's hut with the quest he cannot complete, he can have many firstVisit/nextVisit InfoWindow messages with components (such as target experience). If hero sees 2 such messages in a row, on a third one he will crash. Any advice on components memory management?
Steps To ReproduceYou can use the attached map.
TagsNo tags attached.
Attached Files? file icon Untitled.h3m [^] (9,332 bytes) 2011-10-16 19:22

- Relationships
related to 0001024closedWarmonger Working in H3 Seer Hut is empty in VCMI 
related to 0001223closedWarmonger Seer's Hut problems 
related to 0001402closedIvan Quest Guard - non-standard hero portrait 

-  Notes
(0002828)
Warmonger (administrator)
2012-07-30 09:29

1,2 seem already fixed.

Fixed 3, 4 and 6 in r2806.

5 - in original WoG, empty quets guard does not display any damage at all, remaining silent. I'm not sure if it's any better solution.
7 - Probably related to window / componet or callbakc maagament rather than huts themselves. Could behave differently after recent changes.
(0003801)
Warmonger (administrator)
2013-07-23 15:04

Fixed in r3470.

- Issue History
Date Modified Username Field Change
2011-10-16 19:22 yupsi New Issue
2011-10-16 19:22 yupsi Status new => assigned
2011-10-16 19:22 yupsi Assigned To => Tow
2011-10-16 19:22 yupsi File Added: Untitled.h3m
2011-10-19 07:27 yupsi Summary Seer Huts - message problems => Seer's Huts/Quest Guards - various problems
2011-10-19 07:27 yupsi Description Updated View Revisions
2011-10-19 07:27 yupsi Steps to Reproduce Updated View Revisions
2012-02-27 12:28 Warmonger Assigned To Tow => Warmonger
2012-07-08 05:28 Warmonger Relationship added related to 0001024
2012-07-30 09:29 Warmonger Note Added: 0002828
2012-07-30 09:29 Warmonger Status assigned => feedback
2013-03-01 23:29 Ivan Relationship added related to 0001223
2013-07-23 15:04 Warmonger Note Added: 0003801
2013-07-23 15:04 Warmonger Status feedback => resolved
2013-07-23 15:04 Warmonger Fixed in Version => 0.94
2013-07-23 15:04 Warmonger Resolution open => fixed
2013-08-28 16:05 Warmonger Relationship added related to 0001402
2022-04-11 17:49 Povelitel Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2022 MantisBT Team
Hosting provided by DigitalOcean